{% extends 'printcenter/base.html' %}

{% block title %} | Print Center {% endblock %}

{% block content %}
    <div class="container">
        <h1 class="m-3 text-center">3D Print Center</h1>
        {% if perms.printcenter.add_printrequest %}
        <a href="{% url 'print_request' %}" class="btn btn-primary mt-3" role="button">Create Print Job</a>
        <p></p>
        <div class="list-group">
            {% for print in print_requests %}          
                <div class="list-group-item d-flex flex-row align-items-center justify-content-between">  
                    <div class="d-flex flex-column">
                        <h5 class="mb-1">#{{ print.id }} | {{ print.submitted.date }} | {{ print.status_label }}</h5>
                        <p class="mb-0"></p>
                            {% if print.color == None %}
                            Any color
                            {% else %}
                            {{ print.color }} 
                            {% endif %}
                            {% if print.color == None %}
                            PLA/ABS <br>
                            {% else %}
                            {{ print.material }} <br>
                            {% endif %}
                            Notes: {{ print.notes }}
                        </p>
                    </div>
                    <div class="d-flex flex-row">
                        <a href="{% url 'print_view' print_id=print.id %}" class="btn btn-info ml-3" role="button">
                            Details
                        </a>
                        {% if print.print_status == "SUBMITTED" or print.print_status == "PROCESSING" %}
                            <form onsubmit="submit_form(event)">
                                {%  csrf_token %}
                                <input type ="hidden" name = "print_request_id" value = "{{ print.id }}"/>
                                <input type ="hidden" name = "action" value = "CANCEL"/>
                                <button href = "" class = "btn btn-danger ml-3" role="button" >Cancel Request</button>
                            </form>
                        {% endif %}
                        {% if print.print_status == "COMPLETE" %}
                            <form onsubmit="submit_form(event)">
                                {%  csrf_token %}
                                <input type ="hidden" name = "print_request_id" value = "{{ print.id }}"/>
                                <input type ="hidden" name = "action" value = "PICKUP"/>
                                <button href = "" class = "btn btn-info ml-3" role="button" >Mark as Picked Up</button>
                            </form>
                        {% endif %}
                    </div>
                </div>
            {% endfor %}
        </div>

        
        {% else %}
            <p>You don't have permission to add print jobs!</p>
        {% endif %}

    </div>
{% endblock %}
